# Enum RenderState.BlendMode

java.lang.Object
java.lang.Enum<RenderState.BlendMode>
com.codename1.gpu.RenderState.BlendMode

All Implemented Interfaces:
  `Comparable<RenderState.BlendMode>`

Enclosing class:
  `RenderState`

public static enum RenderState.BlendMode extends Enum<RenderState.BlendMode>
The alpha blending mode applied when a fragment is written.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ADDITIVE`
  Additive blending, useful for particles and glows.
  `ALPHA`
  Standard source-over alpha blending.
  `NONE`
  No blending; the fragment overwrites the destination.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RenderState.BlendMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static RenderState.BlendMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final RenderState.BlendMode NONE
    No blending; the fragment overwrites the destination.

  - ### ALPHA

    public static final RenderState.BlendMode ALPHA
    Standard source-over alpha blending.

  - ### ADDITIVE

    public static final RenderState.BlendMode ADDITIVE
    Additive blending, useful for particles and glows.

- ## Method Details

  - ### values

    public static RenderState.BlendMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static RenderState.BlendMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null